const fetch = require('node-fetch');

module.exports = function (bot, api) {
    api.registerCommand('randomquote', async (args, message) => {
        const data = await fetch(process.env["QDB_URL"], {
            headers: {
                Authorization: 'Basic ' + Buffer.from(`${process.env["QDB_USER"]}:${process.env["QDB_PASS"]}`).toString('base64')
            }
        });
        const quotes = await data.json();
        const quote = quotes[Math.floor(Math.random()*quotes.length)];
        let chan=message.member.voice.channel;
        api.queue.add(__dirname + "/sysmsg.wav");
        api.speak(chan, `${quote.author}, on ${quote.medium}: ${quote.quote}`);
    })
}